Index: /CMT/v1r25-branch/ChangeLog
===================================================================
--- /CMT/v1r25-branch/ChangeLog	(revision 640)
+++ /CMT/v1r25-branch/ChangeLog	(revision 641)
@@ -1,2 +1,23 @@
+2013-02-06    <rybkin@lal.in2p3.fr> 502
+
+	* mgr/fragments/nmake/constituent: Remove unused code, add empty command for
+	double-colon rules without one (so that implicit rule is not searched for),
+	do not ignore errors in install target rule command(s)
+	* mgr/fragments/nmake/constituent_lock: idem
+	* mgr/fragments/nmake/jar: Add empty command for double-colon rules without one (so that implicit rule is not searched for)
+	* mgr/fragments/nmake/library: idem
+	* mgr/fragments/nmake/library_no_static: idem
+	* mgr/fragments/nmake/java: Create necessary directory in compilation rule
+	to avoid race condition
+	* mgr/fragments/constituent: In ${CONSTITUENT}install target rule
+	command, check whether makefile exists to allow for use of -n (no-op) Make
+	option, do not ignore errors, in ${CONSTITUENT}uninstall target rule
+	command, ignore errors, similar to ${CONSTITUENT}clean target rule command
+	* mgr/fragments/constituent_lock: idem
+	* mgr/fragments/nmake/check_application: Remove space between $(silent) and
+	possibly undefined macro (causing NMAKE : fatal error U1038: Internal error)
+	* mgr/cmt_dcc_version.sh: Made more generic to account for clang compiler
+	on Mac OS X platform
+	
 2013-01-28    <rybkin@lal.in2p3.fr> 501
 
Index: /CMT/v1r25-branch/mgr/cmt_dcc_version.sh
===================================================================
--- /CMT/v1r25-branch/mgr/cmt_dcc_version.sh	(revision 640)
+++ /CMT/v1r25-branch/mgr/cmt_dcc_version.sh	(revision 641)
@@ -1,4 +1,3 @@
-
 export LC_ALL=C
 cc -v 2>&1 |\
- sed -n '/version/s#^[^ ]* [^ ]* \([0-9][^ ]*\) *.*#gcc-\1#p'
+ sed -n '/version/s#^\([^ ]\{1,\} \)*\([^ ]\{1,\}\) version \([[:digit:]][^ ]*\) *.*#\2-\3#p'
Index: /CMT/v1r25-branch/mgr/fragments/constituent
===================================================================
--- /CMT/v1r25-branch/mgr/fragments/constituent	(revision 640)
+++ /CMT/v1r25-branch/mgr/fragments/constituent	(revision 641)
@@ -92,7 +92,10 @@
 
 ${CONSTITUENT}install :: $(${CONSTITUENT}_dependencies) $(cmt_local_${CONSTITUENT}_makefile)
-	$(echo) "(constituents.make) Starting install ${CONSTITUENT}"
-	@-$(MAKE) -f $(cmt_local_${CONSTITUENT}_makefile) install
-	$(echo) "(constituents.make) install ${CONSTITUENT} done"
+	$(echo) "(constituents.make) Starting $@"
+	@if test -f $(cmt_local_${CONSTITUENT}_makefile); then \
+	  $(MAKE) -f $(cmt_local_${CONSTITUENT}_makefile) install; \
+	  fi
+#	@-$(MAKE) -f $(cmt_local_${CONSTITUENT}_makefile) install
+	$(echo) "(constituents.make) $@ done"
 
 uninstall : ${CONSTITUENT}uninstall
@@ -101,10 +104,10 @@
 
 ${CONSTITUENT}uninstall : $(${CONSTITUENT}uninstall_dependencies) ##$(cmt_local_${CONSTITUENT}_makefile)
-	$(echo) "(constituents.make) Starting uninstall ${CONSTITUENT}"
-	@if test -f $(cmt_local_${CONSTITUENT}_makefile); then \
+	$(echo) "(constituents.make) Starting $@"
+	@-if test -f $(cmt_local_${CONSTITUENT}_makefile); then \
 	  $(MAKE) -f $(cmt_local_${CONSTITUENT}_makefile) uninstall; \
 	  fi
 #	@$(MAKE) -f $(cmt_local_${CONSTITUENT}_makefile) uninstall
-	$(echo) "(constituents.make) uninstall ${CONSTITUENT} done"
+	$(echo) "(constituents.make) $@ done"
 
 remove_library_links :: ${CONSTITUENT}uninstall ;
Index: /CMT/v1r25-branch/mgr/fragments/constituent_lock
===================================================================
--- /CMT/v1r25-branch/mgr/fragments/constituent_lock	(revision 640)
+++ /CMT/v1r25-branch/mgr/fragments/constituent_lock	(revision 641)
@@ -95,7 +95,10 @@
 
 ${CONSTITUENT}install :: $(${CONSTITUENT}_dependencies) $(cmt_local_${CONSTITUENT}_makefile)
-	$(echo) "(constituents.make) Starting install ${CONSTITUENT}"
-	@-$(MAKE) -f $(cmt_local_${CONSTITUENT}_makefile) install
-	$(echo) "(constituents.make) install ${CONSTITUENT} done"
+	$(echo) "(constituents.make) Starting $@"
+	@if test -f $(cmt_local_${CONSTITUENT}_makefile); then \
+	  $(MAKE) -f $(cmt_local_${CONSTITUENT}_makefile) install; \
+	  fi
+#	@-$(MAKE) -f $(cmt_local_${CONSTITUENT}_makefile) install
+	$(echo) "(constituents.make) $@ done"
 
 uninstall : ${CONSTITUENT}uninstall
@@ -104,10 +107,10 @@
 
 ${CONSTITUENT}uninstall : $(${CONSTITUENT}uninstall_dependencies) ##$(cmt_local_${CONSTITUENT}_makefile)
-	$(echo) "(constituents.make) Starting uninstall ${CONSTITUENT}"
-	@if test -f $(cmt_local_${CONSTITUENT}_makefile); then \
+	$(echo) "(constituents.make) Starting $@"
+	@-if test -f $(cmt_local_${CONSTITUENT}_makefile); then \
 	  $(MAKE) -f $(cmt_local_${CONSTITUENT}_makefile) uninstall; \
 	  fi
 #	@$(MAKE) -f $(cmt_local_${CONSTITUENT}_makefile) uninstall
-	$(echo) "(constituents.make) uninstall ${CONSTITUENT} done"
+	$(echo) "(constituents.make) $@ done"
 
 remove_library_links :: ${CONSTITUENT}uninstall ;
Index: /CMT/v1r25-branch/mgr/fragments/nmake/check_application
===================================================================
--- /CMT/v1r25-branch/mgr/fragments/nmake/check_application	(revision 640)
+++ /CMT/v1r25-branch/mgr/fragments/nmake/check_application	(revision 641)
@@ -5,7 +5,7 @@
 #${CONSTITUENT}check :: ${CONSTITUENT}
 ${CONSTITUENT}check ::
-	$(silent) $(${CONSTITUENT}_pre_check)
-	$(silent) $(bin)${CONSTITUENT}$(application_suffix) $(${CONSTITUENT}_check_args)
-	$(silent) $(${CONSTITUENT}_post_check)
+	$(silent)$(${CONSTITUENT}_pre_check)
+	$(silent)$(bin)${CONSTITUENT}$(application_suffix) $(${CONSTITUENT}_check_args)
+	$(silent)$(${CONSTITUENT}_post_check)
 
 #-- end of check_application ------
Index: /CMT/v1r25-branch/mgr/fragments/nmake/constituent
===================================================================
--- /CMT/v1r25-branch/mgr/fragments/nmake/constituent	(revision 640)
+++ /CMT/v1r25-branch/mgr/fragments/nmake/constituent	(revision 641)
@@ -2,59 +2,23 @@
 
 cmt_${CONSTITUENT}_${HASTARGETTAG} = 1
+cmt_${CONSTITUENT}_${HASDEPENDENCIES} = 1
 
-#--------------------------------------------------------
+#----------------------------------------
 
 !if defined (cmt_${CONSTITUENT}_has_target_tag)
 
-#cmt_local_tagfile_${CONSTITUENT} = $(${PACKAGE}_tag)_${CONSTITUENT}.nmake
 cmt_local_tagfile_${CONSTITUENT} = $(bin)$(${PACKAGE}_tag)_${CONSTITUENT}.nmake
-cmt_local_setup_${CONSTITUENT} = $(bin)setup_${CONSTITUENT}.nmake.tmp
 cmt_final_setup_${CONSTITUENT} = $(bin)setup_${CONSTITUENT}.nmake
-#cmt_final_setup_${CONSTITUENT} = $(bin)${PACKAGE}_${CONSTITUENT}_setup.nmake
 cmt_local_${CONSTITUENT}_makefile = $(bin)${CONSTITUENT}.nmake
 
 ${CONSTITUENT}_extratags = -tag_add=target_${CONSTITUENT}
 
-#!if [if not exist $(bin) mkdir $(bin)] == 0
-#!endif
-
-#!if "$(QUICK)" == "" || !exist ($(cmt_local_tagfile_${CONSTITUENT}))
-
-#!if [$(echo) (constituents.nmake) Rebuilding $(cmt_local_tagfile_${CONSTITUENT})] == 0
-#!endif
-#!if [cmt -tag=$(tags) $(${CONSTITUENT}_extratags) build tag_makefile >$(cmt_local_tagfile_${CONSTITUENT})] == 0
-#!endif
-
-#!if [$(echo) (constituents.nmake) Rebuilding $(cmt_final_setup_${CONSTITUENT})] == 0
-#!endif
-#!if [$(cmtexe) -tag=$(tags) $(${CONSTITUENT}_extratags) show setup >$(cmt_local_setup_${CONSTITUENT})] == 0
-#!endif
-
-#!if exist ($(cmt_final_setup_${CONSTITUENT})) && [ echo n|comp $(cmt_final_setup_${CONSTITUENT}) $(cmt_local_setup_${CONSTITUENT}) >nul 2>&1 ] == 0
-#!if [ del $(cmt_local_setup_${CONSTITUENT}) ] == 0
-#!endif
-#!else
-#!if [ move /y $(cmt_local_setup_${CONSTITUENT}) $(cmt_final_setup_${CONSTITUENT}) >nul ] == 0
-#!endif
-#!endif
-
-#!endif
-
 !else
 
-#cmt_local_tagfile_${CONSTITUENT} = $(${PACKAGE}_tag).nmake
 cmt_local_tagfile_${CONSTITUENT} = $(bin)$(${PACKAGE}_tag).nmake
-#cmt_local_setup_${CONSTITUENT} = $(bin)setup.nmake.tmp
 cmt_final_setup_${CONSTITUENT} = $(bin)setup.nmake
-#cmt_final_setup_${CONSTITUENT} = $(bin)${PACKAGE}_setup.nmake
 cmt_local_${CONSTITUENT}_makefile = $(bin)${CONSTITUENT}.nmake
 
 !endif
-
-#!if "$(QUICK)" == ""
-#$(cmt_local_${CONSTITUENT}_makefile) : $(${CONSTITUENT}_dependencies) $(cmt_local_tagfile_${CONSTITUENT})
-#!else
-#$(cmt_local_${CONSTITUENT}_makefile) : $(cmt_local_tagfile_${CONSTITUENT})
-#!endif
 
 !if defined (cmt_${CONSTITUENT}_has_target_tag)
@@ -90,5 +54,4 @@
 !endif
 
-cmt_${CONSTITUENT}_${HASDEPENDENCIES} = 1
 
 !if defined (cmt_${CONSTITUENT}_has_dependencies)
@@ -109,29 +72,27 @@
 	$(echo) (constituents.nmake) ${CONSTITUENT} done
 
-clean :: ${CONSTITUENT}clean
+clean :: ${CONSTITUENT}clean ;
 
 ${CONSTITUENT}clean :: $(${CONSTITUENT}clean_dependencies) ##$(cmt_local_${CONSTITUENT}_makefile)
-	$(echo) (constituents.nmake) Starting ${CONSTITUENT}clean
+	$(echo) (constituents.nmake) Starting $@
 	@set include=$(include)
 	@set lib=$(lib)
-	@-if exist $(cmt_local_${CONSTITUENT}_makefile) $(MAKE) /nologo /f $(cmt_local_${CONSTITUENT}_makefile) /$(MAKEFLAGS) bin=$(bin) build_strategy=keep_makefiles ${CONSTITUENT}clean tag=$(tag)
-	$(echo) (constituents.nmake) ${CONSTITUENT}clean done
+	@-if exist $(cmt_local_${CONSTITUENT}_makefile) $(MAKE) /nologo /f $(cmt_local_${CONSTITUENT}_makefile) /$(MAKEFLAGS) bin=$(bin) build_strategy=keep_makefiles $@ tag=$(tag)
+	$(echo) (constituents.nmake) $@ done
 #	@$(MAKE) /nologo /f $(cmt_local_${CONSTITUENT}_makefile) /$(MAKEFLAGS) bin=$(bin) build_strategy=keep_makefiles ${CONSTITUENT}clean tag=$(tag)
 
-install :: ${CONSTITUENT}install
+install :: ${CONSTITUENT}install ;
 
 ${CONSTITUENT}install :: $(${CONSTITUENT}_dependencies) $(cmt_local_${CONSTITUENT}_makefile)
-	$(echo) (constituents.nmake) Starting install ${CONSTITUENT}
+	$(echo) (constituents.nmake) Starting $@
 	@set include=$(include)
 	@set lib=$(lib)
-	@-$(MAKE) /nologo /f $(cmt_local_${CONSTITUENT}_makefile) /$(MAKEFLAGS) bin=$(bin) build_strategy=keep_makefiles install tag=$(tag)
-	$(echo) (constituents.nmake) install ${CONSTITUENT} done
+	@$(MAKE) /nologo /f $(cmt_local_${CONSTITUENT}_makefile) /$(MAKEFLAGS) bin=$(bin) build_strategy=keep_makefiles install tag=$(tag)
+	$(echo) (constituents.nmake) $@ done
 
-uninstall :: ${CONSTITUENT}uninstall
+uninstall :: ${CONSTITUENT}uninstall ;
 
-#${CONSTITUENT}uninstall :: $(cmt_local_${CONSTITUENT}_makefile)
-#${CONSTITUENT}uninstall :: $(cmt_local_tagfile_${CONSTITUENT})
 ${CONSTITUENT}uninstall :: $(${CONSTITUENT}uninstall_dependencies)
-	$(echo) (constituents.nmake) Starting uninstall ${CONSTITUENT}
+	$(echo) (constituents.nmake) Starting $@
 	@set include=$(include)
 	@set lib=$(lib)
@@ -140,5 +101,5 @@
 #	@if not exist $(cmt_local_${CONSTITUENT}_makefile) $(cmtexe) -tag=$(tags) $(${CONSTITUENT}_extratags) build -nmake constituent_makefile -out=$(cmt_local_${CONSTITUENT}_makefile) ${CONSTITUENT}
 #	@-$(MAKE) /nologo /f $(cmt_local_${CONSTITUENT}_makefile) /$(MAKEFLAGS) bin=$(bin) build_strategy=keep_makefiles uninstall tag=$(tag)
-	$(echo) (constituents.nmake) uninstall ${CONSTITUENT} done
+	$(echo) (constituents.nmake) $@ done
 
 #-- end of constituent ------
Index: /CMT/v1r25-branch/mgr/fragments/nmake/constituent_lock
===================================================================
--- /CMT/v1r25-branch/mgr/fragments/nmake/constituent_lock	(revision 640)
+++ /CMT/v1r25-branch/mgr/fragments/nmake/constituent_lock	(revision 641)
@@ -2,59 +2,23 @@
 
 cmt_${CONSTITUENT}_${HASTARGETTAG} = 1
+cmt_${CONSTITUENT}_${HASDEPENDENCIES} = 1
 
-#--------------------------------------------------------
+#----------------------------------------
 
 !if defined (cmt_${CONSTITUENT}_has_target_tag)
 
-#cmt_local_tagfile_${CONSTITUENT} = $(${PACKAGE}_tag)_${CONSTITUENT}.nmake
 cmt_local_tagfile_${CONSTITUENT} = $(bin)$(${PACKAGE}_tag)_${CONSTITUENT}.nmake
-cmt_local_setup_${CONSTITUENT} = $(bin)setup_${CONSTITUENT}.nmake.tmp
 cmt_final_setup_${CONSTITUENT} = $(bin)setup_${CONSTITUENT}.nmake
-#cmt_final_setup_${CONSTITUENT} = $(bin)${PACKAGE}_${CONSTITUENT}_setup.nmake
 cmt_local_${CONSTITUENT}_makefile = $(bin)${CONSTITUENT}.nmake
 
 ${CONSTITUENT}_extratags = -tag_add=target_${CONSTITUENT}
 
-#!if [if not exist $(bin) mkdir $(bin)] == 0
-#!endif
-
-#!if "$(QUICK)" == "" || !exist ($(cmt_local_tagfile_${CONSTITUENT}))
-
-#!if [$(echo) (constituents.nmake) Rebuilding $(cmt_local_tagfile_${CONSTITUENT})] == 0
-#!endif
-#!if [cmt -tag=$(tags) $(${CONSTITUENT}_extratags) build tag_makefile >$(cmt_local_tagfile_${CONSTITUENT})] == 0
-#!endif
-
-#!if [$(echo) (constituents.nmake) Rebuilding $(cmt_final_setup_${CONSTITUENT})] == 0
-#!endif
-#!if [$(cmtexe) -tag=$(tags) $(${CONSTITUENT}_extratags) show setup >$(cmt_local_setup_${CONSTITUENT})] == 0
-#!endif
-
-#!if exist ($(cmt_final_setup_${CONSTITUENT})) && [ echo n|comp $(cmt_final_setup_${CONSTITUENT}) $(cmt_local_setup_${CONSTITUENT}) >nul 2>&1 ] == 0
-#!if [ del $(cmt_local_setup_${CONSTITUENT}) ] == 0
-#!endif
-#!else
-#!if [ move /y $(cmt_local_setup_${CONSTITUENT}) $(cmt_final_setup_${CONSTITUENT}) >nul ] == 0
-#!endif
-#!endif
-
-#!endif
-
 !else
 
-#cmt_local_tagfile_${CONSTITUENT} = $(${PACKAGE}_tag).nmake
 cmt_local_tagfile_${CONSTITUENT} = $(bin)$(${PACKAGE}_tag).nmake
-#cmt_local_setup_${CONSTITUENT} = $(bin)setup.nmake.tmp
 cmt_final_setup_${CONSTITUENT} = $(bin)setup.nmake
-#cmt_final_setup_${CONSTITUENT} = $(bin)${PACKAGE}_setup.nmake
 cmt_local_${CONSTITUENT}_makefile = $(bin)${CONSTITUENT}.nmake
 
 !endif
-
-#!if "$(QUICK)" == ""
-#$(cmt_local_${CONSTITUENT}_makefile) : $(${CONSTITUENT}_dependencies) $(cmt_local_tagfile_${CONSTITUENT})
-#!else
-#$(cmt_local_${CONSTITUENT}_makefile) : $(cmt_local_tagfile_${CONSTITUENT})
-#!endif
 
 !if defined (cmt_${CONSTITUENT}_has_target_tag)
@@ -90,5 +54,4 @@
 !endif
 
-cmt_${CONSTITUENT}_${HASDEPENDENCIES} = 1
 
 !if defined (cmt_${CONSTITUENT}_has_dependencies)
@@ -113,29 +76,27 @@
 	$(echo) (constituents.nmake) ${CONSTITUENT} done
 
-clean :: ${CONSTITUENT}clean
+clean :: ${CONSTITUENT}clean ;
 
 ${CONSTITUENT}clean :: $(${CONSTITUENT}clean_dependencies) ##$(cmt_local_${CONSTITUENT}_makefile)
-	$(echo) (constituents.nmake) Starting ${CONSTITUENT}clean
+	$(echo) (constituents.nmake) Starting $@
 	@set include=$(include)
 	@set lib=$(lib)
-	@-if exist $(cmt_local_${CONSTITUENT}_makefile) $(MAKE) /nologo /f $(cmt_local_${CONSTITUENT}_makefile) /$(MAKEFLAGS) bin=$(bin) build_strategy=keep_makefiles ${CONSTITUENT}clean tag=$(tag)
-	$(echo) (constituents.nmake) ${CONSTITUENT}clean done
+	@-if exist $(cmt_local_${CONSTITUENT}_makefile) $(MAKE) /nologo /f $(cmt_local_${CONSTITUENT}_makefile) /$(MAKEFLAGS) bin=$(bin) build_strategy=keep_makefiles $@ tag=$(tag)
+	$(echo) (constituents.nmake) $@ done
 #	@$(MAKE) /nologo /f $(cmt_local_${CONSTITUENT}_makefile) /$(MAKEFLAGS) bin=$(bin) build_strategy=keep_makefiles ${CONSTITUENT}clean tag=$(tag)
 
-install :: ${CONSTITUENT}install
+install :: ${CONSTITUENT}install ;
 
 ${CONSTITUENT}install :: $(${CONSTITUENT}_dependencies) $(cmt_local_${CONSTITUENT}_makefile)
-	$(echo) (constituents.nmake) Starting install ${CONSTITUENT}
+	$(echo) (constituents.nmake) Starting $@
 	@set include=$(include)
 	@set lib=$(lib)
-	@-$(MAKE) /nologo /f $(cmt_local_${CONSTITUENT}_makefile) /$(MAKEFLAGS) bin=$(bin) build_strategy=keep_makefiles install tag=$(tag)
-	$(echo) (constituents.nmake) install ${CONSTITUENT} done
+	@$(MAKE) /nologo /f $(cmt_local_${CONSTITUENT}_makefile) /$(MAKEFLAGS) bin=$(bin) build_strategy=keep_makefiles install tag=$(tag)
+	$(echo) (constituents.nmake) $@ done
 
-uninstall :: ${CONSTITUENT}uninstall
+uninstall :: ${CONSTITUENT}uninstall ;
 
-#${CONSTITUENT}uninstall :: $(cmt_local_${CONSTITUENT}_makefile)
-#${CONSTITUENT}uninstall :: $(cmt_local_tagfile_${CONSTITUENT})
 ${CONSTITUENT}uninstall :: $(${CONSTITUENT}uninstall_dependencies)
-	$(echo) (constituents.nmake) Starting uninstall ${CONSTITUENT}
+	$(echo) (constituents.nmake) Starting $@
 	@set include=$(include)
 	@set lib=$(lib)
@@ -144,5 +105,5 @@
 #	@if not exist $(cmt_local_${CONSTITUENT}_makefile) $(cmtexe) -tag=$(tags) $(${CONSTITUENT}_extratags) build -nmake constituent_makefile -out=$(cmt_local_${CONSTITUENT}_makefile) ${CONSTITUENT}
 #	@-$(MAKE) /nologo /f $(cmt_local_${CONSTITUENT}_makefile) /$(MAKEFLAGS) bin=$(bin) build_strategy=keep_makefiles uninstall tag=$(tag)
-	$(echo) (constituents.nmake) uninstall ${CONSTITUENT} done
+	$(echo) (constituents.nmake) $@ done
 
 #-- end of constituent_lock ------
Index: /CMT/v1r25-branch/mgr/fragments/nmake/jar
===================================================================
--- /CMT/v1r25-branch/mgr/fragments/nmake/jar	(revision 640)
+++ /CMT/v1r25-branch/mgr/fragments/nmake/jar	(revision 641)
@@ -9,7 +9,7 @@
 ${CONSTITUENT}installname = ${CONSTITUENT}.jar
 
-${CONSTITUENT} :: ${CONSTITUENT}install
+${CONSTITUENT} :: ${CONSTITUENT}install ;
 
-install :: ${CONSTITUENT}install
+install :: ${CONSTITUENT}install ;
 
 ${CONSTITUENT}install :: $(install_dir)\$(${CONSTITUENT}installname)
@@ -26,5 +26,5 @@
 ##${CONSTITUENT}clean :: ${CONSTITUENT}uninstall
 
-uninstall :: ${CONSTITUENT}uninstall
+uninstall :: ${CONSTITUENT}uninstall ;
 
 ${CONSTITUENT}uninstall ::
Index: /CMT/v1r25-branch/mgr/fragments/nmake/java
===================================================================
--- /CMT/v1r25-branch/mgr/fragments/nmake/java	(revision 640)
+++ /CMT/v1r25-branch/mgr/fragments/nmake/java	(revision 641)
@@ -1,6 +1,9 @@
+#-- start of java ------
 
 ${OUTPUTNAME} : ${FULLNAME}
 	$(java_echo) $@
-	@cd $(src)
-	$(javacomp) -d $(javabin)/${CONSTITUENT} $(use_javaflags) $(${CONSTITUENT}_javaflags) $(${NAME}_javaflags) ${FULLNAME}
+	$(java_silent) if not exist $(javabin)${CONSTITUENT} mkdir $(javabin)${CONSTITUENT}
+	$(java_silent) cd $(src)
+	$(java_silent) $(javacomp) -d $(javabin)/${CONSTITUENT} $(use_javaflags) $(${CONSTITUENT}_javaflags) $(${NAME}_javaflags) ${FULLNAME}
 
+#-- end of java ------
Index: /CMT/v1r25-branch/mgr/fragments/nmake/library
===================================================================
--- /CMT/v1r25-branch/mgr/fragments/nmake/library	(revision 640)
+++ /CMT/v1r25-branch/mgr/fragments/nmake/library	(revision 641)
@@ -34,7 +34,7 @@
 ${CONSTITUENT}installpdbname = $(library_prefix)${CONSTITUENT}$(library_suffix).pdb
 
-${CONSTITUENT} :: ${CONSTITUENT}install
+${CONSTITUENT} :: ${CONSTITUENT}install ;
 
-install :: ${CONSTITUENT}install
+install :: ${CONSTITUENT}install ;
 
 !IF "$(vsCONFIG)" == "Debug" 
@@ -72,5 +72,5 @@
 ##${CONSTITUENT}clean :: ${CONSTITUENT}uninstall
 
-uninstall :: ${CONSTITUENT}uninstall
+uninstall :: ${CONSTITUENT}uninstall ;
 
 ${CONSTITUENT}uninstall ::
Index: /CMT/v1r25-branch/mgr/fragments/nmake/library_no_static
===================================================================
--- /CMT/v1r25-branch/mgr/fragments/nmake/library_no_static	(revision 640)
+++ /CMT/v1r25-branch/mgr/fragments/nmake/library_no_static	(revision 641)
@@ -53,7 +53,7 @@
 ${CONSTITUENT}installpdbname = $(library_prefix)${CONSTITUENT}$(library_suffix).pdb
 
-${CONSTITUENT} :: ${CONSTITUENT}install
+${CONSTITUENT} :: ${CONSTITUENT}install ;
 
-install :: ${CONSTITUENT}install
+install :: ${CONSTITUENT}install ;
 
 !IF "$(vsCONFIG)" == "Debug" 
@@ -91,5 +91,5 @@
 ##${CONSTITUENT}clean :: ${CONSTITUENT}uninstall
 
-uninstall :: ${CONSTITUENT}uninstall
+uninstall :: ${CONSTITUENT}uninstall ;
 
 ${CONSTITUENT}uninstall ::