Index: /CMT/HEAD/ChangeLog
===================================================================
--- /CMT/HEAD/ChangeLog	(revision 662)
+++ /CMT/HEAD/ChangeLog	(revision 663)
@@ -1,2 +1,64 @@
+2014-01-10    <rybkin@lal.in2p3.fr> 522
+
+	* source/cmt_tag.cxx: Update authorship info
+	* source/cmt_std.h: idem
+	* source/cmt_awk.cxx: idem
+	* source/cmt_system.cxx: idem
+	* source/cmt_symbol.h: idem
+	* source/cmt_project.h: idem
+	* source/cmt_use.cxx: idem
+	* source/cmt_install_area.cxx: idem
+	* source/cmt_tag.h: idem
+	* source/cmt_deps_builder.cxx: idem
+	* source/cmt_fragment.cxx: idem
+	* source/cmt_generators.cxx: idem
+	* source/cmt_constituent.cxx: idem
+	* source/cmt.cxx: idem
+	* source/cmt_deps_builder.h: idem
+	* source/cmt_syntax.cxx: idem
+	* source/cmt_triggers.cxx: idem
+	* source/cmt_fragment.h: idem
+	* source/cmt_database.h: idem
+	* source/cmt_error.cxx: idem
+	* source/cmt_generators.h: idem
+	* source/cmt_model.cxx: idem
+	* source/cmt_commands.cxx: idem
+	* source/cmt_constituent.h: idem
+	* source/cmt_project.cxx: idem
+	* source/cmt_generator.h: idem
+	* source/cmt_pattern.cxx: idem
+	* source/cmt_error.h: idem
+	* source/cmt_regexp.h: idem
+	* source/cmt_parser.h: idem
+	* source/cmt_language.cxx: idem
+	* source/cmt_commands.h: idem
+	* source/cmt_lock.cxx: idem
+	* source/cmt_string.h: idem
+	* source/cmt_vcs.cxx: idem
+	* source/cmt_cmtpath_pattern.cxx: idem
+	* source/cmt_map.h: idem
+	* source/cmt_database.cxx: idem
+	* source/cmt_log.h: idem
+	* source/cmt_language.h: idem
+	* source/cmt_system.h: idem
+	* source/cmt_vcs.h: idem
+	* source/cmt_use.h: idem
+	* source/cmt_cmtpath_pattern.h: idem
+	* source/cmt_generator.cxx: idem
+	* source/cmt_regexp.cxx: idem
+	* source/cmt_cvs.cxx: idem
+	* source/cmt_parser.cxx: idem
+	* source/cmt_symbol.cxx: idem
+	* source/cmt.h: idem
+	* source/cmt_string.cxx: idem
+	* mgr/fragments/nmake/packages_header: idem
+	* mgr/fragments/packages_header: idem
+	* src/NMakefile.core: idem
+	* src/NMakefile.header: idem
+	* src/setup.tcsh: idem
+	* src/setup.zsh: idem
+	* src/Makefile.core: idem
+	* src/Makefile.header: idem
+
 2014-01-06    <rybkin@lal.in2p3.fr> 521
 
Index: /CMT/HEAD/mgr/fragments/nmake/packages_header
===================================================================
--- /CMT/HEAD/mgr/fragments/nmake/packages_header	(revision 662)
+++ /CMT/HEAD/mgr/fragments/nmake/packages_header	(revision 663)
@@ -27,5 +27,5 @@
 #    ignore: try all the groups even if one fails before going to the next package
 #            (may result in duplicated errors within a package)
-# Unix version taken from https://svnweb.cern.ch/trac/gaudi/browser/Gaudi/trunk/Makefile.cmt (Modified)
+# Unix version taken from https://svnweb.cern.ch/trac/gaudi/browser/Gaudi/trunk/Makefile.cmt (Modified by Grigory Rybkin)
 Package_failure_handler = || exit
 !if "$(PACKAGE_FAILURE_POLICY)" != ""
Index: /CMT/HEAD/mgr/fragments/packages_header
===================================================================
--- /CMT/HEAD/mgr/fragments/packages_header	(revision 662)
+++ /CMT/HEAD/mgr/fragments/packages_header	(revision 663)
@@ -42,5 +42,5 @@
 #    ignore: try all the groups even if one fails before going to the next package
 #            (may result in duplicated errors within a package)
-# Taken from https://svnweb.cern.ch/trac/gaudi/browser/Gaudi/trunk/Makefile.cmt (Modified)
+# Taken from https://svnweb.cern.ch/trac/gaudi/browser/Gaudi/trunk/Makefile.cmt (Modified by Grigory Rybkin)
 Package_failure_handler = || exit
 ifdef PACKAGE_FAILURE_POLICY
Index: /CMT/HEAD/source/cmt.cxx
===================================================================
--- /CMT/HEAD/source/cmt.cxx	(revision 662)
+++ /CMT/HEAD/source/cmt.cxx	(revision 663)
@@ -3,4 +3,5 @@
 // arnault@lal.in2p3.fr
 // Modified by garonne@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt.h
===================================================================
--- /CMT/HEAD/source/cmt.h	(revision 662)
+++ /CMT/HEAD/source/cmt.h	(revision 663)
@@ -3,4 +3,5 @@
 // arnault@lal.in2p3.fr
 // Modified by garonne@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_awk.cxx
===================================================================
--- /CMT/HEAD/source/cmt_awk.cxx	(revision 662)
+++ /CMT/HEAD/source/cmt_awk.cxx	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_cmtpath_pattern.cxx
===================================================================
--- /CMT/HEAD/source/cmt_cmtpath_pattern.cxx	(revision 662)
+++ /CMT/HEAD/source/cmt_cmtpath_pattern.cxx	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_cmtpath_pattern.h
===================================================================
--- /CMT/HEAD/source/cmt_cmtpath_pattern.h	(revision 662)
+++ /CMT/HEAD/source/cmt_cmtpath_pattern.h	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_commands.cxx
===================================================================
--- /CMT/HEAD/source/cmt_commands.cxx	(revision 662)
+++ /CMT/HEAD/source/cmt_commands.cxx	(revision 663)
@@ -3,4 +3,5 @@
 // arnault@lal.in2p3.fr
 // Modified by garonne@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_commands.h
===================================================================
--- /CMT/HEAD/source/cmt_commands.h	(revision 662)
+++ /CMT/HEAD/source/cmt_commands.h	(revision 663)
@@ -3,4 +3,5 @@
 // arnault@lal.in2p3.fr
 // Modified by garonne@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_constituent.cxx
===================================================================
--- /CMT/HEAD/source/cmt_constituent.cxx	(revision 662)
+++ /CMT/HEAD/source/cmt_constituent.cxx	(revision 663)
@@ -3,4 +3,5 @@
 // arnault@lal.in2p3.fr
 // Modified by garonne@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_constituent.h
===================================================================
--- /CMT/HEAD/source/cmt_constituent.h	(revision 662)
+++ /CMT/HEAD/source/cmt_constituent.h	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_cvs.cxx
===================================================================
--- /CMT/HEAD/source/cmt_cvs.cxx	(revision 662)
+++ /CMT/HEAD/source/cmt_cvs.cxx	(revision 663)
@@ -3,4 +3,5 @@
 // arnault@lal.in2p3.fr
 // Modified by: garonne@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_database.cxx
===================================================================
--- /CMT/HEAD/source/cmt_database.cxx	(revision 662)
+++ /CMT/HEAD/source/cmt_database.cxx	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_database.h
===================================================================
--- /CMT/HEAD/source/cmt_database.h	(revision 662)
+++ /CMT/HEAD/source/cmt_database.h	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_deps_builder.cxx
===================================================================
--- /CMT/HEAD/source/cmt_deps_builder.cxx	(revision 662)
+++ /CMT/HEAD/source/cmt_deps_builder.cxx	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_deps_builder.h
===================================================================
--- /CMT/HEAD/source/cmt_deps_builder.h	(revision 662)
+++ /CMT/HEAD/source/cmt_deps_builder.h	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_error.cxx
===================================================================
--- /CMT/HEAD/source/cmt_error.cxx	(revision 662)
+++ /CMT/HEAD/source/cmt_error.cxx	(revision 663)
@@ -3,4 +3,5 @@
 // arnault@lal.in2p3.fr
 // Modified by garonne@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_error.h
===================================================================
--- /CMT/HEAD/source/cmt_error.h	(revision 662)
+++ /CMT/HEAD/source/cmt_error.h	(revision 663)
@@ -3,4 +3,5 @@
 // arnault@lal.in2p3.fr
 // Modified by garonne@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_fragment.cxx
===================================================================
--- /CMT/HEAD/source/cmt_fragment.cxx	(revision 662)
+++ /CMT/HEAD/source/cmt_fragment.cxx	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_fragment.h
===================================================================
--- /CMT/HEAD/source/cmt_fragment.h	(revision 662)
+++ /CMT/HEAD/source/cmt_fragment.h	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_generator.cxx
===================================================================
--- /CMT/HEAD/source/cmt_generator.cxx	(revision 662)
+++ /CMT/HEAD/source/cmt_generator.cxx	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_generator.h
===================================================================
--- /CMT/HEAD/source/cmt_generator.h	(revision 662)
+++ /CMT/HEAD/source/cmt_generator.h	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_generators.cxx
===================================================================
--- /CMT/HEAD/source/cmt_generators.cxx	(revision 662)
+++ /CMT/HEAD/source/cmt_generators.cxx	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_generators.h
===================================================================
--- /CMT/HEAD/source/cmt_generators.h	(revision 662)
+++ /CMT/HEAD/source/cmt_generators.h	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_install_area.cxx
===================================================================
--- /CMT/HEAD/source/cmt_install_area.cxx	(revision 662)
+++ /CMT/HEAD/source/cmt_install_area.cxx	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_language.cxx
===================================================================
--- /CMT/HEAD/source/cmt_language.cxx	(revision 662)
+++ /CMT/HEAD/source/cmt_language.cxx	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_language.h
===================================================================
--- /CMT/HEAD/source/cmt_language.h	(revision 662)
+++ /CMT/HEAD/source/cmt_language.h	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_lock.cxx
===================================================================
--- /CMT/HEAD/source/cmt_lock.cxx	(revision 662)
+++ /CMT/HEAD/source/cmt_lock.cxx	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_log.h
===================================================================
--- /CMT/HEAD/source/cmt_log.h	(revision 662)
+++ /CMT/HEAD/source/cmt_log.h	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_map.h
===================================================================
--- /CMT/HEAD/source/cmt_map.h	(revision 662)
+++ /CMT/HEAD/source/cmt_map.h	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_model.cxx
===================================================================
--- /CMT/HEAD/source/cmt_model.cxx	(revision 662)
+++ /CMT/HEAD/source/cmt_model.cxx	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_parser.cxx
===================================================================
--- /CMT/HEAD/source/cmt_parser.cxx	(revision 662)
+++ /CMT/HEAD/source/cmt_parser.cxx	(revision 663)
@@ -3,4 +3,5 @@
 // arnault@lal.in2p3.fr
 // Modified by garonne@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_parser.h
===================================================================
--- /CMT/HEAD/source/cmt_parser.h	(revision 662)
+++ /CMT/HEAD/source/cmt_parser.h	(revision 663)
@@ -3,4 +3,5 @@
 // arnault@lal.in2p3.fr
 // Modified by garonne@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_pattern.cxx
===================================================================
--- /CMT/HEAD/source/cmt_pattern.cxx	(revision 662)
+++ /CMT/HEAD/source/cmt_pattern.cxx	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_project.cxx
===================================================================
--- /CMT/HEAD/source/cmt_project.cxx	(revision 662)
+++ /CMT/HEAD/source/cmt_project.cxx	(revision 663)
@@ -1,7 +1,7 @@
-
 //-----------------------------------------------------------
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
 // Modified by garonne@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_project.h
===================================================================
--- /CMT/HEAD/source/cmt_project.h	(revision 662)
+++ /CMT/HEAD/source/cmt_project.h	(revision 663)
@@ -3,4 +3,5 @@
 // arnault@lal.in2p3.fr
 // Modified by garonne@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_regexp.cxx
===================================================================
--- /CMT/HEAD/source/cmt_regexp.cxx	(revision 662)
+++ /CMT/HEAD/source/cmt_regexp.cxx	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_regexp.h
===================================================================
--- /CMT/HEAD/source/cmt_regexp.h	(revision 662)
+++ /CMT/HEAD/source/cmt_regexp.h	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_std.h
===================================================================
--- /CMT/HEAD/source/cmt_std.h	(revision 662)
+++ /CMT/HEAD/source/cmt_std.h	(revision 663)
@@ -3,4 +3,5 @@
 // arnault@lal.in2p3.fr
 // Modified by garonne@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_string.cxx
===================================================================
--- /CMT/HEAD/source/cmt_string.cxx	(revision 662)
+++ /CMT/HEAD/source/cmt_string.cxx	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_string.h
===================================================================
--- /CMT/HEAD/source/cmt_string.h	(revision 662)
+++ /CMT/HEAD/source/cmt_string.h	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_symbol.cxx
===================================================================
--- /CMT/HEAD/source/cmt_symbol.cxx	(revision 662)
+++ /CMT/HEAD/source/cmt_symbol.cxx	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_symbol.h
===================================================================
--- /CMT/HEAD/source/cmt_symbol.h	(revision 662)
+++ /CMT/HEAD/source/cmt_symbol.h	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_syntax.cxx
===================================================================
--- /CMT/HEAD/source/cmt_syntax.cxx	(revision 662)
+++ /CMT/HEAD/source/cmt_syntax.cxx	(revision 663)
@@ -3,4 +3,5 @@
 // arnault@lal.in2p3.fr
 // Modified by garonne@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_system.cxx
===================================================================
--- /CMT/HEAD/source/cmt_system.cxx	(revision 662)
+++ /CMT/HEAD/source/cmt_system.cxx	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_system.h
===================================================================
--- /CMT/HEAD/source/cmt_system.h	(revision 662)
+++ /CMT/HEAD/source/cmt_system.h	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_tag.cxx
===================================================================
--- /CMT/HEAD/source/cmt_tag.cxx	(revision 662)
+++ /CMT/HEAD/source/cmt_tag.cxx	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_tag.h
===================================================================
--- /CMT/HEAD/source/cmt_tag.h	(revision 662)
+++ /CMT/HEAD/source/cmt_tag.h	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_triggers.cxx
===================================================================
--- /CMT/HEAD/source/cmt_triggers.cxx	(revision 662)
+++ /CMT/HEAD/source/cmt_triggers.cxx	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_use.cxx
===================================================================
--- /CMT/HEAD/source/cmt_use.cxx	(revision 662)
+++ /CMT/HEAD/source/cmt_use.cxx	(revision 663)
@@ -3,4 +3,5 @@
 // arnault@lal.in2p3.fr
 // Modified by garonne@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_use.h
===================================================================
--- /CMT/HEAD/source/cmt_use.h	(revision 662)
+++ /CMT/HEAD/source/cmt_use.h	(revision 663)
@@ -3,4 +3,5 @@
 // arnault@lal.in2p3.fr
 // Modified by garonne@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_vcs.cxx
===================================================================
--- /CMT/HEAD/source/cmt_vcs.cxx	(revision 662)
+++ /CMT/HEAD/source/cmt_vcs.cxx	(revision 663)
@@ -3,4 +3,5 @@
 // arnault@lal.in2p3.fr
 // Modified by: garonne@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/source/cmt_vcs.h
===================================================================
--- /CMT/HEAD/source/cmt_vcs.h	(revision 662)
+++ /CMT/HEAD/source/cmt_vcs.h	(revision 663)
@@ -2,4 +2,5 @@
 // Copyright Christian Arnault LAL-Orsay CNRS
 // arnault@lal.in2p3.fr
+// Modified by Grigory Rybkin
 // See the complete license in cmt_license.txt "http://www.cecill.info". 
 //-----------------------------------------------------------
Index: /CMT/HEAD/src/Makefile.core
===================================================================
--- /CMT/HEAD/src/Makefile.core	(revision 662)
+++ /CMT/HEAD/src/Makefile.core	(revision 663)
@@ -2,4 +2,5 @@
 # Copyright Christian Arnault LAL-Orsay CNRS
 # arnault@lal.in2p3.fr
+# Modified by Grigory Rybkin
 # See the complete license in cmt_license.txt "http://www.cecill.info". 
 #-----------------------------------------------------------
Index: /CMT/HEAD/src/Makefile.header
===================================================================
--- /CMT/HEAD/src/Makefile.header	(revision 662)
+++ /CMT/HEAD/src/Makefile.header	(revision 663)
@@ -2,4 +2,5 @@
 # Copyright Christian Arnault LAL-Orsay CNRS
 # arnault@lal.in2p3.fr
+# Modified by Grigory Rybkin
 # See the complete license in cmt_license.txt "http://www.cecill.info". 
 #-----------------------------------------------------------
Index: /CMT/HEAD/src/NMakefile.core
===================================================================
--- /CMT/HEAD/src/NMakefile.core	(revision 662)
+++ /CMT/HEAD/src/NMakefile.core	(revision 663)
@@ -2,4 +2,5 @@
 # Copyright Christian Arnault LAL-Orsay CNRS
 # arnault@lal.in2p3.fr
+# Modified by Grigory Rybkin
 # See the complete license in cmt_license.txt "http://www.cecill.info". 
 #-----------------------------------------------------------
Index: /CMT/HEAD/src/NMakefile.header
===================================================================
--- /CMT/HEAD/src/NMakefile.header	(revision 662)
+++ /CMT/HEAD/src/NMakefile.header	(revision 663)
@@ -2,4 +2,5 @@
 # Copyright Christian Arnault LAL-Orsay CNRS
 # arnault@lal.in2p3.fr
+# Modified by Grigory Rybkin
 # See the complete license in cmt_license.txt "http://www.cecill.info". 
 #-----------------------------------------------------------
Index: /CMT/HEAD/src/setup.tcsh
===================================================================
--- /CMT/HEAD/src/setup.tcsh	(revision 662)
+++ /CMT/HEAD/src/setup.tcsh	(revision 663)
@@ -2,5 +2,6 @@
 # Copyright Christian Arnault LAL-Orsay CNRS
 # arnault@lal.in2p3.fr
-# Modified by garonne@lal.in2p3.fr, Grigory Rybkin
+# Modified by garonne@lal.in2p3.fr
+# Modified by Grigory Rybkin
 # See the complete license in cmt_license.txt "http://www.cecill.info". 
 #-----------------------------------------------------------
Index: /CMT/HEAD/src/setup.zsh
===================================================================
--- /CMT/HEAD/src/setup.zsh	(revision 662)
+++ /CMT/HEAD/src/setup.zsh	(revision 663)
@@ -2,5 +2,6 @@
 # Copyright Christian Arnault LAL-Orsay CNRS
 # arnault@lal.in2p3.fr
-# Modified by garonne@lal.in2p3.fr, Grigory Rybkin
+# Modified by garonne@lal.in2p3.fr
+# Modified by Grigory Rybkin
 # See the complete license in cmt_license.txt "http://www.cecill.info". 
 #-----------------------------------------------------------