Index: /CMT/HEAD/ChangeLog
===================================================================
--- /CMT/HEAD/ChangeLog	(revision 666)
+++ /CMT/HEAD/ChangeLog	(revision 667)
@@ -1,2 +1,23 @@
+2014-01-31    <rybkin@lal.in2p3.fr> 524
+
+	* source/cmt_use.cxx: Add default clause to switch statements to avoid
+	compilation warning about enumeration value(s) not being handled on
+	Mac OS X 10.8.5
+	* source/cmt_deps_builder.cxx: idem
+	* source/cmt_generators.cxx: idem
+	* source/cmt_script.cxx: idem
+	* source/cmt_project.cxx: idem
+	* source/cmt_pattern.cxx: idem
+	* source/cmt_lock.cxx: idem
+	* source/cmt_vcs.cxx: idem
+	* source/cmt_generator.cxx: idem
+	* source/cmt_symbol.cxx: idem
+	* source/cmt_parser.cxx: idem,
+	In class Cmt function do_broadcast, if depth option value is less than -1,
+	use depth value of -1 and issue warning
+	* source/cmt_constituent.cxx: Use cmt_string and string literal as first
+	and second arguments respectively of != operator to avoid compilation
+	warning about comparison being unspecified on Mac OS X 10.8.5
+	
 2014-01-25    <rybkin@lal.in2p3.fr> 523
 
Index: /CMT/HEAD/source/cmt_constituent.cxx
===================================================================
--- /CMT/HEAD/source/cmt_constituent.cxx	(revision 666)
+++ /CMT/HEAD/source/cmt_constituent.cxx	(revision 667)
@@ -408,5 +408,5 @@
   parameters.clear ();
 
-  if (has_target_tag && (Document != type || "cmt_actions" != group->name ()))
+  if (has_target_tag && (Document != type || group->name () != "cmt_actions"))
     {
       const Tag* tag = Tag::find ("target_" + name);
@@ -454,5 +454,4 @@
 //----------------------------------------------------------
 Constituent* Constituent::add_for_action (const Symbol& symbol)
-//Constituent* Constituent::add_for_action (const cmt_string& name)
 {
   Constituent* constituent (0);
@@ -464,5 +463,5 @@
 
   cmt_string value = symbol.build_macro_value ();
-  if ( "" == value && !target_tag_used) return constituent;
+  if ( 0 == value.size () && !target_tag_used) return constituent;
 
   constituent = add (Document, symbol.name, "cmt_action_runner");
Index: /CMT/HEAD/source/cmt_deps_builder.cxx
===================================================================
--- /CMT/HEAD/source/cmt_deps_builder.cxx	(revision 666)
+++ /CMT/HEAD/source/cmt_deps_builder.cxx	(revision 667)
@@ -713,4 +713,6 @@
 	  state = at_start;
 	  break;
+        default:
+	  break;
 	}
       line_number++;
Index: /CMT/HEAD/source/cmt_generator.cxx
===================================================================
--- /CMT/HEAD/source/cmt_generator.cxx	(revision 666)
+++ /CMT/HEAD/source/cmt_generator.cxx	(revision 667)
@@ -1108,4 +1108,6 @@
 		  stamp += "mgr";
 		  break;
+                default:
+		  break;
 		}
 	      stamp += CmtSystem::file_separator ();
@@ -1153,4 +1155,6 @@
 		  prefix = "lib_";
 		  break;
+                default:
+		  break;
 		}
 	      cmt_string macro_name (prefix + constituent.name + "_cppflags");
@@ -1175,4 +1179,6 @@
 	    case Library:
 	      prefix = "lib_";
+	      break;
+            default:
 	      break;
 	    }
Index: /CMT/HEAD/source/cmt_generators.cxx
===================================================================
--- /CMT/HEAD/source/cmt_generators.cxx	(revision 666)
+++ /CMT/HEAD/source/cmt_generators.cxx	(revision 667)
@@ -493,4 +493,6 @@
       is_application = false;
       m_TITLE = "Library";
+      break;
+    default:
       break;
     }
@@ -2551,12 +2553,15 @@
               temp += use->prefix;
               temp += "ROOT)";
-              temp += CmtSystem::file_separator ();
               switch (use->style)
                 {
 		case cmt_style:
+		  temp += CmtSystem::file_separator ();
 		  temp += "cmt";
 		  break;
 		case mgr_style:
+		  temp += CmtSystem::file_separator ();
 		  temp += "mgr";
+		  break;
+                default:
 		  break;
                 }
@@ -3296,4 +3301,6 @@
 	      stamp += "mgr";
 	      break;
+            default:
+	      break;
 	    }
           stamp += CmtSystem::file_separator ();
@@ -3353,4 +3360,6 @@
 		  stamp += CmtSystem::file_separator ();
 		  stamp += "mgr";
+		  break;
+                default:
 		  break;
 		}
Index: /CMT/HEAD/source/cmt_lock.cxx
===================================================================
--- /CMT/HEAD/source/cmt_lock.cxx	(revision 666)
+++ /CMT/HEAD/source/cmt_lock.cxx	(revision 667)
@@ -97,4 +97,6 @@
       //      cerr << "Package not locked" << endl;
       return (s);
+    default:
+      break;
     }
 
Index: /CMT/HEAD/source/cmt_parser.cxx
===================================================================
--- /CMT/HEAD/source/cmt_parser.cxx	(revision 666)
+++ /CMT/HEAD/source/cmt_parser.cxx	(revision 667)
@@ -1901,7 +1901,7 @@
 		  msg = "Cannot read `depth' value `";
 		  msg += depth_str;
-		  msg += cmt_string ("'");
+		  msg += "'";
 		  if (errno)
-		    msg += cmt_string (strerror (errno));
+		    msg += strerror (errno);
 		  CmtError::set (CmtError::system_error, msg);
 		  return;
@@ -1910,5 +1910,5 @@
 		  msg = "Invalid `depth' value `";
 		  msg += depth_str;
-		  msg += cmt_string ("'");
+		  msg += "'";
 		  CmtError::set (CmtError::syntax_error, msg);
 		  return;
@@ -1917,5 +1917,6 @@
 		  if (depth_value < -1)
 		    {
-		      char num[32]; sprintf (num, "%lu", -depth_value);
+		      /*
+		      char num[32]; sprintf (num, "%d", -depth_value);
 		      msg = "Invalid `depth' value `-";
 		      msg += num;
@@ -1923,6 +1924,16 @@
 		      CmtError::set (CmtError::syntax_error, msg);
 		      return;
+		      */
+		      depth = -1;
+		      char num[4]; sprintf (num, "%d", depth);
+		      msg = "Using minimum `depth' value `";
+		      msg += num;
+		      msg += "'";
+		      CmtMessage::warning (msg);
 		    }
-		  depth = depth_value;
+		  else
+		    {
+		      depth = depth_value;
+		    }
 		  //cerr << "depth: " << depth << endl;
 		  break;
@@ -4010,4 +4021,6 @@
       //CmtSystem::cd ("mgr");
       break;
+    default:
+      break;
     }
 
@@ -4822,4 +4835,6 @@
     case Xml :
       cout << "</setup>" << endl;
+      break;
+    default:
       break;
     }
@@ -5553,4 +5568,6 @@
 	case with_version_directory:
 	  cout << "with_version_directory";
+	  break;
+        default:
 	  break;
 	}
@@ -8136,4 +8153,6 @@
         }
       break;
+    default:
+      break;
     }
 
@@ -8172,4 +8191,6 @@
               cout << "set " << prefix << "CONFIG=" << endl;
               break;
+            default:
+              break;
             }
         }
@@ -8187,4 +8208,6 @@
     case Bat :
       cout << "set CMTEXTRATAGS=" << endl;
+      break;
+    default:
       break;
     }
@@ -8355,4 +8378,6 @@
 	}
         
+      break;
+    default:
       break;
     }
@@ -10006,4 +10031,6 @@
 	    prefix = "lib_";
 	    break;
+          default:
+	    break;
 	  }
 	
Index: /CMT/HEAD/source/cmt_pattern.cxx
===================================================================
--- /CMT/HEAD/source/cmt_pattern.cxx	(revision 666)
+++ /CMT/HEAD/source/cmt_pattern.cxx	(revision 667)
@@ -1020,4 +1020,6 @@
 
 	  break;
+        default:
+	  break;
 	}
 
Index: /CMT/HEAD/source/cmt_project.cxx
===================================================================
--- /CMT/HEAD/source/cmt_project.cxx	(revision 666)
+++ /CMT/HEAD/source/cmt_project.cxx	(revision 667)
@@ -1294,4 +1294,6 @@
       cout << "<projects>";
       break;
+    default:
+      break;
     }
 
@@ -1308,4 +1310,6 @@
     case Xml :
       cout << "</projects>" << endl;
+      break;
+    default:
       break;
     }
@@ -2847,4 +2851,6 @@
       cout << "<clients>";
       break;
+    default:
+      break;
     }
   for (i = 0; i < m_parents.size (); i++)
@@ -2872,4 +2878,6 @@
       cout << "</clients>";
       break;
+    default:
+      break;
     }
 
@@ -2878,4 +2886,6 @@
     case Xml :
       cout << "<uses>";
+      break;
+    default:
       break;
     }
Index: /CMT/HEAD/source/cmt_script.cxx
===================================================================
--- /CMT/HEAD/source/cmt_script.cxx	(revision 666)
+++ /CMT/HEAD/source/cmt_script.cxx	(revision 667)
@@ -211,4 +211,6 @@
       cout << ". ";
       break;
+    default:
+      break;
     }
 
Index: /CMT/HEAD/source/cmt_symbol.cxx
===================================================================
--- /CMT/HEAD/source/cmt_symbol.cxx	(revision 666)
+++ /CMT/HEAD/source/cmt_symbol.cxx	(revision 667)
@@ -808,4 +808,6 @@
       type = SymbolCleanupScript;
       break;
+    default:
+      break;
     }
 
@@ -850,4 +852,6 @@
                     s1 = "alias";
                     break;
+                  default:
+                    break;
                   } 
 
@@ -874,4 +878,6 @@
                   case SymbolAlias:
                     s2 = "alias";
+                    break;
+                  default:
                     break;
                   } 
@@ -936,4 +942,6 @@
     case SymbolAction:
       symbol.builder = &Action;
+      break;
+    default:
       break;
     }
@@ -1808,4 +1816,6 @@
 	CmtMessage::info ("Replace " + name + " with " + _name);
       break;
+    default:
+      break;
     }
 
@@ -1828,4 +1838,6 @@
           result = 1;
           break;
+        default:
+          break;
         }
       break;
@@ -1840,4 +1852,6 @@
 	    cout << "alias " << name << " >/dev/null 2>&1 && unalias " << name;
             result = 1;
+            break;
+          default:
             break;
         }
@@ -1865,4 +1879,6 @@
           cout << "set " << _name << "=" << CmtSystem::quote (temp, " \t");
           result = 1;
+          break;
+        default:
           break;
         }
@@ -1895,5 +1911,9 @@
           result = 1;
           break;
-        }
+        default:
+          break;
+        }
+      break;
+    default:
       break;
     }
@@ -1979,4 +1999,6 @@
 		   << "<value>" << temp << "</value></variable>";
               result = 1;
+              break;
+            default:
               break;
           }
@@ -2007,4 +2029,6 @@
 		   << "<value>" << temp << "</value></alias>";
               result = 1;
+              break;
+            default:
               break;
           }
@@ -2048,4 +2072,6 @@
                   out << "<script>" << name << "</script>";
                   result = 1;
+                  break;
+                default:
                   break;
               }
@@ -2452,4 +2478,7 @@
             temp = new_value;
             
+            break;
+            
+          default:
             break;
         }
@@ -2908,4 +2937,7 @@
               
             break;
+          default:
+              
+            break;
         }
 
@@ -3060,4 +3092,7 @@
                 temp.replace_all (";;", ";");
               }
+              
+            break;
+          default :
               
             break;
@@ -3344,4 +3379,6 @@
               }
             break;
+          default :
+            break;
         }
     }
@@ -3563,4 +3600,6 @@
 	if (value.text == "") return;
         break;
+      default:
+        break;
     }
 
@@ -3639,4 +3678,6 @@
         cout << " " << define_text << " action " << symbol.name << " as ";
         first_definition = false;
+        break;
+      default :
         break;
     }
@@ -3696,4 +3737,6 @@
 	//case CommandAction :
 	if (value.text.size () == 0) return result;
+        break;
+      default :
         break;
     }
@@ -3895,4 +3938,6 @@
 
         break;
+      default :
+        break;
     }
 
@@ -4091,4 +4136,6 @@
         break;
 	*/
+      default :
+        break;
     }
 
Index: /CMT/HEAD/source/cmt_use.cxx
===================================================================
--- /CMT/HEAD/source/cmt_use.cxx	(revision 666)
+++ /CMT/HEAD/source/cmt_use.cxx	(revision 667)
@@ -550,4 +550,6 @@
 	  Cmt::print_xml_prolog ("uses", out);
 	  out << "<uses>";
+	  break;
+        default:
 	  break;
 	}
@@ -713,4 +715,6 @@
 	  out << "</uses>" << endl;
 	  break;
+        default:
+	  break;
 	}
       /*
@@ -824,4 +828,6 @@
 	    while (path_alias[path_alias.size() - 1] == '\\') path_alias.erase (path_alias.size() - 1);
 	    state = finished;
+	    break;
+          default:
 	    break;
 	  }
Index: /CMT/HEAD/source/cmt_vcs.cxx
===================================================================
--- /CMT/HEAD/source/cmt_vcs.cxx	(revision 666)
+++ /CMT/HEAD/source/cmt_vcs.cxx	(revision 667)
@@ -649,4 +649,6 @@
 	    path = s;
 	  state = no_need;
+	  break;
+        default:
 	  break;
         }
@@ -3376,4 +3378,6 @@
 	  state = no_need;
 	  break;
+        default:
+	  break;
         }
     }
@@ -3474,4 +3478,6 @@
 	  state = no_need;
 	  break;
+        default:
+	  break;
         }
     }
@@ -3539,4 +3545,6 @@
 	  tag = s;
 	  state = no_need;
+	  break;
+        default:
 	  break;
         }
@@ -3635,4 +3643,6 @@
 	  tag = s;
 	  state = no_need;
+	  break;
+        default:
 	  break;
         }